Get the day off of a person for one date. An administrator, the person, and a manager of a project where the person is a team member get the day off with its description. A supervisor of such a project who shares a department with the person gets the day off without its description. A supervisor without department gets it for all the persons of their projects. The manager and supervisor roles are the roles held on the project team. Other users cannot read it.
GET
/data/persons/{person_id}/day-offs/{date}
curl
curl -X GET "http://api.example.com/data/persons/a24a6ea4-ce75-4665-a070-57453082c25/day-offs/2022-07-12" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/persons/a24a6ea4-ce75-4665-a070-57453082c25/day-offs/2022-07-12"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Response examples (200)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"person_id": "b35b7fb5-df86-5776-b181-68564193d360",
"date": "2022-07-12",
"end_date": "2022-07-12",
"description": "Holidays"
}